package org.gcube.portlets.user.td.monitorwidget.client.background;

import com.google.web.bindery.event.shared.EventBus;
import com.sencha.gxt.widget.core.client.Window;

/**
 * Background Operations Monitor
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 * 
 */
public class MonitorBackgroundDialog extends Window {
	
	private static final String WIDTH = "400px";
	private static final String HEIGHT = "520px";
	
	protected EventBus eventBus;
	protected MonitorBackgroundPanel monitorBackgroundPanel;
	
	public MonitorBackgroundDialog(EventBus eventBus) {
		this.eventBus = eventBus;
		
		initWindow();
		create();
	

	}
	
	protected void initWindow(){
		setWidth(WIDTH);
		setHeight(HEIGHT);
		setBodyBorder(false);
		setResizable(true);
		setModal(false);
		setClosable(true);
		setHeadingText("Background Operations Monitor");
	}
	
	protected void create(){
		monitorBackgroundPanel = new MonitorBackgroundPanel(eventBus);
		add(monitorBackgroundPanel);
		show();
	}
		
	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void initTools() {
		/*if (backgroundBtnEnabled) {
			backgroundBtn = new ToolButton(ToolButton.CLOSE);
			backgroundBtn.setToolTip("Put in the background");
			backgroundBtn.addSelectHandler(new SelectHandler() {

				@Override
				public void onSelect(SelectEvent event) {
					hide();
				}
			});

			header.addTool(backgroundBtn);
		}*/
		
		super.initTools();
		
		closeBtn.setVisible(false);
		/*
		closeBtn.addSelectHandler(new SelectHandler() {

			public void onSelect(SelectEvent event) {
				close();
			}
		});*/

	}

	protected void close() {
		hide();

	}

	
}
